Ruby: rb_classext_struct Struct Reference

Ruby 3.2.5p208 (2024-07-26 revision 31d0f1a2e7dbfb60731d1f05b868e1d578cda493)

Data Fields
rb_classext_struct Struct Reference

## Data Fields
VALUE * | iv_ptr
struct rb_id_table * | const_tbl
struct rb_id_table * | callable_m_tbl
struct rb_id_table * | cc_tbl
struct rb_id_table * | cvc_tbl
size_t | superclass_depth
VALUE * | superclasses
struct rb_subclass_entry * | subclasses
struct rb_subclass_entry * | subclass_entry
struct rb_subclass_entry * | module_subclass_entry
| In the case that this is an `ICLASS`, `module_subclasses` points to the link in the module's `subclasses` list that indicates that the klass has been included.
const VALUE | origin_
const VALUE | refined_class
rb_alloc_func_t | allocator
const VALUE | includer
uint32_t | max_iv_count
uint32_t | variation_count
shape_id_t | shape_id

## Detailed Description

Definition at line 39 of file class.h.

## Field Documentation

## ◆ allocator

rb_alloc_func_t rb_classext_struct::allocator

Definition at line 57 of file class.h.

## ◆ callable_m_tbl

struct rb_id_table* rb_classext_struct::callable_m_tbl

Definition at line 42 of file class.h.

## ◆ cc_tbl

struct rb_id_table* rb_classext_struct::cc_tbl

Definition at line 43 of file class.h.

## ◆ const_tbl

struct rb_id_table* rb_classext_struct::const_tbl

Definition at line 41 of file class.h.

## ◆ cvc_tbl

struct rb_id_table* rb_classext_struct::cvc_tbl

Definition at line 44 of file class.h.

## ◆ includer

const VALUE rb_classext_struct::includer

Definition at line 58 of file class.h.

## ◆ iv_ptr

VALUE* rb_classext_struct::iv_ptr

Definition at line 40 of file class.h.

## ◆ max_iv_count

uint32_t rb_classext_struct::max_iv_count

Definition at line 59 of file class.h.

## ◆ module_subclass_entry

struct rb_subclass_entry* rb_classext_struct::module_subclass_entry

In the case that this is an `ICLASS`, `module_subclasses` points to the link in the module's `subclasses` list that indicates that the klass has been included.

Hopefully that makes sense.

Definition at line 54 of file class.h.

## ◆ origin_

const VALUE rb_classext_struct::origin_

Definition at line 55 of file class.h.

## ◆ refined_class

const VALUE rb_classext_struct::refined_class

Definition at line 56 of file class.h.

## ◆ shape_id

shape_id_t rb_classext_struct::shape_id

Definition at line 62 of file class.h.

## ◆ subclass_entry

struct rb_subclass_entry* rb_classext_struct::subclass_entry

Definition at line 48 of file class.h.

## ◆ subclasses

struct rb_subclass_entry* rb_classext_struct::subclasses

Definition at line 47 of file class.h.

## ◆ superclass_depth

size_t rb_classext_struct::superclass_depth

Definition at line 45 of file class.h.

## ◆ superclasses

VALUE* rb_classext_struct::superclasses

Definition at line 46 of file class.h.

## ◆ variation_count

uint32_t rb_classext_struct::variation_count

Definition at line 60 of file class.h.

The documentation for this struct was generated from the following file:

- internal/class.h